curl --request PATCH \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"authentication": {
"password": "<string>"
},
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"value": "<string>"
},
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dbaName": "<string>",
"formationDate": "2023-12-25",
"legalName": "<string>",
"phoneNumber": "<string>",
"taxId": {
"value": "<string>"
},
"website": "<string>"
},
"businessOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"value": "<string>"
}
}
],
"individualValidationSource": "<string>",
"organizationValidationSource": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}"
payload = {
"applicant": {
"authentication": { "password": "<string>" },
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": True,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": True,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": { "value": "<string>" },
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dbaName": "<string>",
"formationDate": "2023-12-25",
"legalName": "<string>",
"phoneNumber": "<string>",
"taxId": { "value": "<string>" },
"website": "<string>"
},
"businessOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": { "value": "<string>" }
}
],
"individualValidationSource": "<string>",
"organizationValidationSource": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicant: {
authentication: {password: '<string>'},
birthDate: '2023-12-25',
firstName: '<string>',
hasAcceptedDisclosures: true,
homeAddress: {
address1: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
postalCode: '<string>',
state: '<string>'
},
isLegallyAuthorized: true,
lastName: '<string>',
mobilePhoneNumber: '<string>',
ownershipPercentage: 123,
personalIdentificationNumber: {value: '<string>'},
workEmailAddress: '<string>'
},
businessDetails: {
address: {
address1: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
postalCode: '<string>',
state: '<string>'
},
dbaName: '<string>',
formationDate: '2023-12-25',
legalName: '<string>',
phoneNumber: '<string>',
taxId: {value: '<string>'},
website: '<string>'
},
businessOwners: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
birthDate: '2023-12-25',
firstName: '<string>',
homeAddress: {
address1: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
postalCode: '<string>',
state: '<string>'
},
lastName: '<string>',
mobilePhoneNumber: '<string>',
ownershipPercentage: 123,
personalIdentificationNumber: {value: '<string>'}
}
],
individualValidationSource: '<string>',
organizationValidationSource: '<string>'
})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dbaName": "<string>",
"legalName": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Update an existing bank account application.
Updates an existing application with applicant details, business details, and/or business owners in a single request.
Token types: APP | Required scopes: bank_account_application:write:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The application ID.
Body
Request model for updating an existing bank account application. Uses
Tesouro.Common.Types.Rest.Optional<T> for partial-update semantics — see that
type for the absent / explicit-null / explicit-value contract.
Applicant details to update. Absent = preserve; explicit value = replace; explicit null = clear.
Show child attributes
Show child attributes
Business details to update. Absent = preserve; explicit value = replace; explicit null = clear.
Show child attributes
Show child attributes
List of business owners. Absent = preserve existing owners. Explicit empty array = clear all owners. The resulting list replaces the stored owner list.
Show child attributes
Show child attributes
Validation source for individual KYC (bypass-KYC partners only). Absent = preserve.
Validation source for organization KYC (bypass-KYC partners only). Absent = preserve.
Response
Application updated successfully.
Response model for a bank account application.
Unique identifier for the bank account application.
Applicant information for the bank account.
Show child attributes
Show child attributes
Business details associated with the application.
Show child attributes
Show child attributes
List of business owners associated with the application.
Show child attributes
Show child attributes
Identifier of the organization the application has been onboarded under. Null until the application has been verified and the organization created.
Current status of the bank account application.
DRAFT, SUBMITTED, COMPLETE Identifier of the user created for the applicant during onboarding. Null until the application has been verified and the user created.
Was this page helpful?